
TYPO3.Flow - Feature # 3864

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Log
Created: 2009-07-10 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement filtering for log messages
Description

Currently all severities are always logged. It should be possible to define filters per backend so only certain log entries are written.

Associated revisions
Revision 9ba1f85f - 2009-09-29 15:41 - Karsten Dambekalns

[+FEATURE] FLOW3 (Log): The file backend now logs only messages above a given severity, resolves #3864.
[~TASK] FLOW3 (Log): Some cleanup to comments and code.
[~CONFIGURATION]: Added severityThreshold to the log backend options, in Production context only messages warnings (and above) are logged, in
Development context all messages are logged.

Revision f15d0c69 - 2009-09-29 15:41 - Karsten Dambekalns

[+FEATURE] FLOW3 (Log): The file backend now logs only messages above a given severity, resolves #3864.
[~TASK] FLOW3 (Log): Some cleanup to comments and code.
[~CONFIGURATION]: Added severityThreshold to the log backend options, in Production context only messages warnings (and above) are logged, in
Development context all messages are logged.

History
#1 - 2009-08-17 11:32 - Robert Lemke
- Target version deleted (1.0 alpha 3)

#2 - 2009-09-28 21:49 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 5

#3 - 2009-09-29 16:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3239.
